Bug 176789 - [PATCH] devel/gitolite: update to 3.4
[PATCH] devel/gitolite: update to 3.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-09 19:30 UTC by william88
Modified: 2013-03-14 11:40 UTC (History)
0 users

See Also:


Attachments
gitolite.patch (2.83 KB, patch)
2013-03-09 19:30 UTC, william88
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description william88 2013-03-09 19:30:00 UTC
	Update to 3.4
	Changes: https://github.com/sitaramc/gitolite/blob/master/CHANGELOG
	Redports: https://redports.org/buildarchive/20130309191601-46744/

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-09 19:30:07 UTC
Maintainer of devel/gitolite,

Please note that PR ports/176789 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176789

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-09 19:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 milki 2013-03-09 21:55:39 UTC
Thanks for the patch William!

I've also run the package tests. This patch is approved.

-milki
Comment 4 Martin Wilke freebsd_committer 2013-03-10 02:34:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

'1
Comment 5 Martin Wilke freebsd_committer 2013-03-14 11:32:08 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2013-03-14 11:32:11 UTC
Author: miwi
Date: Thu Mar 14 11:31:58 2013
New Revision: 314145
URL: http://svnweb.freebsd.org/changeset/ports/314145

Log:
  - Update to 3.4
  
  PR:		176789
  Submitted by:	William Grzybowski <william88@gmail.com>
  Approved by:	naintainer

Modified:
  head/devel/gitolite/Makefile
  head/devel/gitolite/distinfo
  head/devel/gitolite/pkg-plist

Modified: head/devel/gitolite/Makefile
==============================================================================
--- head/devel/gitolite/Makefile	Thu Mar 14 11:20:54 2013	(r314144)
+++ head/devel/gitolite/Makefile	Thu Mar 14 11:31:58 2013	(r314145)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	gitolite
-PORTVERSION=	3.3
+PORTVERSION=	3.4
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://milki.github.com/${PORTNAME}/ \

Modified: head/devel/gitolite/distinfo
==============================================================================
--- head/devel/gitolite/distinfo	Thu Mar 14 11:20:54 2013	(r314144)
+++ head/devel/gitolite/distinfo	Thu Mar 14 11:31:58 2013	(r314145)
@@ -1,2 +1,2 @@
-SHA256 (gitolite-3.3.tar.gz) = 39d6630dd0125505e9a4b2b1e3de474e1380182ba0cc73bec3e4c08e7f62d8f9
-SIZE (gitolite-3.3.tar.gz) = 123257
+SHA256 (gitolite-3.4.tar.gz) = eadf21918a0da274cb3ed31e6bb7c067155d452ad4b693529ed8fadf8f3dd372
+SIZE (gitolite-3.4.tar.gz) = 127789

Modified: head/devel/gitolite/pkg-plist
==============================================================================
--- head/devel/gitolite/pkg-plist	Thu Mar 14 11:20:54 2013	(r314144)
+++ head/devel/gitolite/pkg-plist	Thu Mar 14 11:31:58 2013	(r314145)
@@ -14,13 +14,13 @@ bin/gitolite
 %%SITE_PERL%%/Gitolite/Test/Tsh.pm
 %%SITE_PERL%%/Gitolite/Triggers.pm
 %%SITE_PERL%%/Gitolite/Triggers/Alias.pm
+%%SITE_PERL%%/Gitolite/Triggers/AutoCreate.pm
 %%SITE_PERL%%/Gitolite/Triggers/CpuTime.pm
 %%SITE_PERL%%/Gitolite/Triggers/Mirroring.pm
+%%SITE_PERL%%/Gitolite/Triggers/RefexExpr.pm
 %%SITE_PERL%%/Gitolite/Triggers/RepoUmask.pm
 %%SITE_PERL%%/Gitolite/Triggers/Shell.pm
 %%SITE_PERL%%/Gitolite/Triggers/Writable.pm
-%%SITE_PERL%%/Gitolite/Triggers/RefexExpr.pm
-%%SITE_PERL%%/Gitolite/Triggers/AutoCreate.pm
 libexec/gitolite/VERSION
 libexec/gitolite/VREF/COUNT
 libexec/gitolite/VREF/EMAIL-CHECK
@@ -62,6 +62,7 @@ libexec/gitolite/gitolite-shell
 libexec/gitolite/syntactic-sugar/continuation-lines
 libexec/gitolite/syntactic-sugar/keysubdirs-as-groups
 libexec/gitolite/syntactic-sugar/macros
+libexec/gitolite/syntactic-sugar/refex-expr
 libexec/gitolite/triggers/bg
 libexec/gitolite/triggers/partial-copy
 libexec/gitolite/triggers/post-compile/ssh-authkeys
@@ -74,15 +75,16 @@ libexec/gitolite/triggers/post-compile/u
 libexec/gitolite/triggers/post-compile/update-gitweb-daemon-from-options
 libexec/gitolite/triggers/renice
 libexec/gitolite/triggers/upstream
-@dirrm %%SITE_PERL%%/Gitolite/Conf
-@dirrm %%SITE_PERL%%/Gitolite/Hooks
-@dirrm %%SITE_PERL%%/Gitolite/Test
-@dirrm %%SITE_PERL%%/Gitolite/Triggers
-@dirrm %%SITE_PERL%%/Gitolite
-@dirrm libexec/gitolite/VREF
-@dirrm libexec/gitolite/commands
+%%GITUSER%%@dirrmtry git
 @dirrm libexec/gitolite/triggers/post-compile
 @dirrm libexec/gitolite/triggers
 @dirrm libexec/gitolite/syntactic-sugar
+@dirrm libexec/gitolite/commands
+@dirrm libexec/gitolite/VREF
 @dirrm libexec/gitolite
-%%GITUSER%%@dirrmtry git
+@dirrm %%SITE_PERL%%/Gitolite/Triggers
+@dirrm %%SITE_PERL%%/Gitolite/Test
+@dirrm %%SITE_PERL%%/Gitolite/Hooks
+@dirrm %%SITE_PERL%%/Gitolite/Conf
+@dirrm %%SITE_PERL%%/Gitolite
+@dirrm %%SITE_PERL%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"